package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

public class AllotExerciseTeacherRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @NotEmpty
    @ApiModelProperty(name = "exerciseBookIdList", value = "练习册id集合", required = true)
    private List<String> exerciseBookIdList;

    @ApiModelProperty(name = "teacherList", value = "老师列表", required = true)
    List<ExerciseTeacherClassRequest>  teacherList;

    public List<String> getExerciseBookIdList() {
        return exerciseBookIdList;
    }

    public void setExerciseBookIdList(List<String> exerciseBookIdList) {
        this.exerciseBookIdList = exerciseBookIdList;
    }

    public List<ExerciseTeacherClassRequest> getTeacherList() {
        return teacherList;
    }

    public void setTeacherList(List<ExerciseTeacherClassRequest> teacherList) {
        this.teacherList = teacherList;
    }
}
